complexType "MetalPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, metal?, deliveryPeriods?, deliveryConditions?, (physicalQuantity | physicalQuantitySchedule)?, totalPhysicalQuantity?, conversionFactor?
</...>

Content Model Elements (11):

  conversionFactor (in metalPhysicalLeg),
  deliveryConditions (in metalPhysicalLeg),
  deliveryPeriods (in metalPhysicalLeg),
  metal,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  physicalQuantity (defined in CommodityFixedPhysicalQuantity.model group),
  physicalQuantitySchedule (defined in CommodityFixedPhysicalQuantity.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group)

All Direct / Indirect Based Elements (1):

  metalPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  metalPhysicalLeg

Annotation
Physically settled leg of a physically settled Metal transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommodityForwardLeg (extension) PhysicalForwardLeg (extension) MetalPhysicalLeg

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="MetalPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalForwardLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="metal" type="Metal"/> <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/> <xsd:element minOccurs="0" name="deliveryConditions" type="MetalDelivery"/> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> <xsd:element minOccurs="0" name="conversionFactor" type="xsd:decimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/11)
conversionFactor

  Type: | xsd:decimal, predefined, simple content

  If the Notional Quantity is specified in a unit that does not match the unit in which the Commodity Reference Price is quoted, the scaling or conversion factor used to convert the Commodity Reference Price unit into the Notional Quantity unit should be stated here. If there is no conversion, this element is not intended to be used.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="conversionFactor" type="xsd:decimal"/>

deliveryConditions

  Type: | MetalDelivery, complex content

  The physical delivery arrangements and requirements for a physically settled non-precious metal transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryConditions" type="MetalDelivery"/>

deliveryPeriods

  Type: | CommodityDeliveryPeriods, complex content

  The period during which delivery/deliveries of Metal may be scheduled.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/>

metal

  Type: | Metal, complex content

  The specification of the Metal Product to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="metal" type="Metal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.